be.fgov.ehealth.commons.core.v2

## Class Author

- java.lang.Object
- - be.fgov.ehealth.commons.core.v2.Author

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:18:26+02:00",
                 comments="JAXB RI v2.2.11")
      public class Author
      extends Object
      implements Serializable

  Identifies the authorType of the message

  Java class for AuthorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:commons:core:v2}HcParty" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Author()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ActorType>` | `getHcParties()` Gets the value of the hcParties property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Author

          public Author()

  - ### Method Detail

    - #### getHcParties

          public List<ActorType> getHcParties()

      Gets the value of the hcParties property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hcParties property.

      For example, to add a new item, do as follows:

              getHcParties().add(newItem);

      Objects of the following type(s) are allowed in the list `ActorType`

Connector Packaging PERSAUDIOLOGIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.